#include "DXUT.h"
#include "DX10Framework.h"

DX10Framework::DX10Framework(void)
{
}

DX10Framework::~DX10Framework(void)
{
}

void DX10Framework::SetSwapChain( IDXGISwapChain* pSwapChain )
{
	_swapChain = pSwapChain;
	_device->OMGetRenderTargets(1, &_defaultRenderTargetView, &_defaultDepthStencilView);
}

void DX10Framework::OnReleasingSwapChain()
{
	_defaultRenderTargetView->Release();
	_defaultDepthStencilView->Release();
}
