#pragma once
#include "dx10framework.h"

class MyFirstDX10App :
	public DX10Framework
{
public:
	MyFirstDX10App(void);
	~MyFirstDX10App(void);

	virtual HRESULT OnCreateDevice( const DXGI_SURFACE_DESC* pBackBufferSurfaceDesc );
	virtual void OnDestroyDevice();
	virtual void OnFrameRender( double fTime, float fElapsedTime );

protected:
	struct SimpleVertex
	{
		D3DXVECTOR3 Pos;  // Position
	};

	ID3D10InputLayout* _inputLayout;
	ID3D10Buffer* _vertexBuffer;
	ID3D10EffectTechnique* _technique;
	ID3D10Effect* _effect;
};
